Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.domain
Class ChildNodeDefinition

    java.lang.Object
      org.modeshape.web.jcr.rest.client.domain.ItemDefinition
          org.modeshape.web.jcr.rest.client.domain.ChildNodeDefinition

All Implemented Interfaces:
  ItemDefinition, NodeDefinition

    @Immutable
    public class ChildNodeDefinition

extends ItemDefinition
implements NodeDefinition

An immutable representation of a JCR PropertyDefinition.

Nested Class Summary
`protected static class` | `ChildNodeDefinition.Id`

Constructor Summary
`ChildNodeDefinition(String declaringNodeTypeName, String name, Set<String> requiredTypes, boolean isAutoCreated, boolean isMandatory, boolean isProtected, boolean allowsSameNameSiblings, int onParentVersion, String defaultPrimaryTypeName, Map<String,NodeType> nodeTypes)`

Method Summary
`boolean` | `allowsSameNameSiblings()`
`boolean` | `equals(Object obj)`
`NodeType` | `getDefaultPrimaryType()`
`String` | `getDefaultPrimaryTypeName()`
`String` | `getName()`
`String[]` | `getRequiredPrimaryTypeNames()`
`NodeType[]` | `getRequiredPrimaryTypes()`
`int` | `hashCode()`
`protected ChildNodeDefinition.Id` | `id()`
`String` | `toString()`

Methods inherited from class org.modeshape.web.jcr.rest.client.domain.ItemDefinition
`getDeclaringNodeType, getDeclaringNodeTypeName, getOnParentVersion, isAutoCreated, isMandatory, isProtected, nodeType, nodeTypes, nodeTypes, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jcr.nodetype.ItemDefinition
`getDeclaringNodeType, getOnParentVersion, isAutoCreated, isMandatory, isProtected`

Constructor Detail

### ChildNodeDefinition

    public ChildNodeDefinition(String declaringNodeTypeName,
                               String name,
                               Set<String> requiredTypes,
                               boolean isAutoCreated,
                               boolean isMandatory,
                               boolean isProtected,
                               boolean allowsSameNameSiblings,
                               int onParentVersion,
                               String defaultPrimaryTypeName,
                               Map<String,NodeType> nodeTypes)

Method Detail

### id

    protected ChildNodeDefinition.Id id()

  Returns:
    id

### getName

    public String getName()

  Specified by:
    `getName` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.getName()`

### allowsSameNameSiblings

    public boolean allowsSameNameSiblings()

  Specified by:
    `allowsSameNameSiblings` in interface `NodeDefinition`
  See Also:
    `NodeDefinition.allowsSameNameSiblings()`

### getRequiredPrimaryTypeNames

    public String[] getRequiredPrimaryTypeNames()

  Specified by:
    `getRequiredPrimaryTypeNames` in interface `NodeDefinition`
  See Also:
    `NodeDefinition.getRequiredPrimaryTypeNames()`

### getDefaultPrimaryType

    public NodeType getDefaultPrimaryType()

  Specified by:
    `getDefaultPrimaryType` in interface `NodeDefinition`
  See Also:
    `NodeDefinition.getDefaultPrimaryType()`

### getDefaultPrimaryTypeName

    public String getDefaultPrimaryTypeName()

  Specified by:
    `getDefaultPrimaryTypeName` in interface `NodeDefinition`
  See Also:
    `NodeDefinition.getDefaultPrimaryTypeName()`

### getRequiredPrimaryTypes

    public NodeType[] getRequiredPrimaryTypes()

  Specified by:
    `getRequiredPrimaryTypes` in interface `NodeDefinition`
  See Also:
    `NodeDefinition.getRequiredPrimaryTypes()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.